
Infrastructure - Story #1389

version tagging of all libs and apps.

2011-02-28 20:25 - Rob Nahf

Status: Closed Start date: 2011-03-28

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Another important feature we need to add sooner rather than later, is version tagging of all libraries and apps. For stuff on trunk, this

would be the svn revision. For things tagged as versions, it would be the version number (or perhaps a combination of both). The

version info should be easily discoverable from command line, tests, and where appropriate, web interfaces.

Subtasks:

Task # 1405: Infrastructure monitoring: add $VERSION to scripts, etc. Closed

Task # 1439: Define an API call for retrieving version information from each package / ... Rejected

History

#1 - 2011-03-02 00:21 - Dave Vieglais

- Position deleted (8)

- Position set to 1

- Position changed from 1 to 168

- Target version set to Sprint-2011.09-Block.2

#2 - 2011-03-07 17:44 - Dave Vieglais

- Position deleted (167)

- Position set to 6

- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.10-Block.2

#3 - 2011-03-07 17:51 - Dave Vieglais

- Position set to 1

- Position changed from 1 to 170

- Position deleted (6)

#4 - 2011-03-17 16:05 - Dave Vieglais

- Position set to 1

- Position deleted (175)

- Target version changed from Sprint-2011.10-Block.2 to Sprint-2011.11-Block.2

#5 - 2011-03-22 13:58 - Dave Vieglais

- Target version changed from Sprint-2011.11-Block.2 to Sprint-2011.12-Block.2

- Position set to 1

- Position deleted (7)

#6 - 2011-03-28 14:59 - Dave Vieglais

- Position set to 3

- Position deleted (5)

- Target version changed from Sprint-2011.12-Block.2 to Sprint-2011.13-Block.2
#7 - 2011-04-05 01:42 - Dave Vieglais

- Position set to 3

- Target version changed from Sprint-2011.13-Block.2 to Sprint-2011.14-Block.2

- Position deleted (8)

#8 - 2011-04-05 01:48 - Dave Vieglais

- Position set to 1

- Position deleted (9)

- Target version changed from Sprint-2011.14-Block.2 to Sprint-2011.15-Block.2

#9 - 2011-04-25 15:54 - Dave Vieglais

- Target version deleted (Sprint-2011.15-Block.2)

- Position set to 1

- Position deleted (28)

#10 - 2011-08-30 01:55 - Dave Vieglais

- Position set to 15

- Position deleted (68)

#11 - 2011-11-15 04:12 - Dave Vieglais

- Position deleted (85)

- Position changed from 1 to 314

- Position set to 1

- Target version set to Sprint-2011.46-Block.6

#12 - 2011-11-28 20:02 - Dave Vieglais

- Position deleted (308)

- Position set to 4

- Target version deleted (Sprint-2011.46-Block.6)

#13 - 2012-01-06 03:35 - Dave Vieglais

- Milestone set to None

- Status changed from New to Closed
